> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chat.voicebot.studio/llms.txt
> Use this file to discover all available pages before exploring further.

# Agent by ID

> Show agent by ID.



## OpenAPI

````yaml api-reference/openapi.json get /agents/{id}
openapi: 3.0.3
info:
  version: 0.1.0
  title: Client API
servers:
  - url: https://1-some-client.some-server.healvi-chat/third-party/v1
security:
  - bearerAuth: []
paths:
  /agents/{id}:
    get:
      tags:
        - agents
      summary: Show agent by ID.
      parameters:
        - in: path
          name: id
          schema:
            type: integer
          required: true
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/Agent'
components:
  schemas:
    Agent:
      description: |
        Represents an agent belonging to a messenger service.
        A business phone number registered on WhatsApp is an agent.
      type: object
      properties:
        id:
          type: integer
          description: Internal ID.
        channel:
          $ref: '#/components/schemas/Channel'
        display_id:
          type: string
          description: An unique identifier within a channel.
          example: 4915223567929
        name:
          type: string
          description: Name received from channel.
          example: John Doe
        in_sync:
          type: boolean
          description: >
            Indicates whether the agent is actually a connected agent (e.g. a
            WhatsApp number).

            In case of disconnecting a tenants service, this flag will turn
            false to keep conversations.

            You should not use this agent anymore to send messages as you will
            receive errors.
        unread_conversations_count:
          type: integer
          description: Number of conversation with at least one unread customer message.
    Channel:
      description: Type of messenger service.
      type: string
      enum:
        - bridge
        - whatsapp
        - widget
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````